Reparaciones - Bug #3

Analizar SpectraVideo XPress 738
08/08/2013 03:20 AM - Txinto Vaz

Status: In Progress Start date: 08/08/2013
Priority: Normal Due date:

Assignee: Txinto Vaz % Done: 50%
Category: Estimated time: 4.00 hours
Target version: Spent time: 4.00 hours
Description

Hay que poner al dia el XPress, ver qué le pasa.

History

#1 - 08/08/2013 03:20 AM - Txinto Vaz

- Status changed from New to In Progress
- % Done changed from 0 to 50

- Estimated time set to 4.00 h

Este es el bicho en cuestion:

9463927492_720b4deb9c_c.jpg
(NOTA: Las fotografias de la sesién (con comentarios) se encuentran en en éste album: http:/flic.kr/s/aHsjHmwqHk )

Gracias a TenerifeGoRetro me enteré de que con un adaptador de corriente simple lo podia arrancar.

http://www_.tenerifegoretro.com/foro-tgr/2-reuniones-y-eventos/1958-hospital-de-campana-msx-31-ago

Documentandome ma?, pide 16V en AC, aunque si se le dan 16 en DC también chuta (no recomendado pero menos da una piedra).

http://computers.mcbx.netne.net/8bit/spectravideo/index.htm

Total, que he probado el equipo con 12V DC y con 18V DC. El resultado es de .... uyyyy.

El ordenador arranca, pero tiene los caracteres cambiados. Literalmente. Lo que deberian ser espacios son comillas (aparece toda la pantalla llena
de comillas). Lo que deberian ser 'u’ son 'w’. Asi si escribimos 'run’ sale 'rwn’, y si pulsamos F5 también sale 'rwn’, por lo que un problema de
teclado no es, parece mas un problema de memoria.

La pantalla de bienvenida es:

9464047236_7bade70a75_c.jpg
Y ésto es el resultado de ir tocando todas las teclas en plan qwerty... una fila de caracteres por cada fila de letras en el teclado.

9464050762_57e8572c88_c.jpg
Por dentro esté limpisimo (también por fuera esta bien cuidado).
La disquetera (chinon) esta (yo diria) perfecta.

9461145305_f60634ddf1_c.jpg
Hemos probado la disquetera dentro del Sony HB-F700S (ver #2), pero no iba (Disk Error), aunque si respondia a los comandos.

#2 - 08/08/2013 04:36 AM - Txinto Vaz

Més informacion del Spectravideo en la pagina wiki del proyecto MSX: [[msx:SVI 738 XPress]]

#3 - 09/01/2013 03:53 PM - Txinto Vaz
El otro dia Alberto Orante y yo mantuvimos una conversacion a éste respecto. El me sugirié que dos pistas podian estar cortocircuitadas, puesto
que a un conocido le habia ocurrido algo parecido. Y creo que puede tener mucha razén.

El caso es que parece algo de enrutamiento. Esta claro que si fueran posiciones de memoria la corrupcion no afectaria de forma IGUAL a todas las
posiciones de la pantalla (p.e. todos los espacios son comillas). De hecho hay cosas que vienen de ROM (el mensaje de bienvenida del MSX) y
otras de RAM (lo que yo tecleo). Ademas si hacemos un estudio vemos que las letras saltan dos espacios en la tabla ASCII.

http://www.hamradio.cc/computer/ascii_table.php

® | os espacios son comillas: 32 (00100000) —34 (00100010).
e color es conor: 108 (01101100) — 110 (01101110)
e runesrwn: 117 (01110101) - 119 (01110111)

Por lo que parece, el pin que corresponde al penultimo bit del byte esta cortocircuitado a “1” l16gico (5V).
En cuanto al enrutamiento nos referimos a:

e pistas.

¢ multiplexores (pueden ser los interiores de alguna memoria o unidad légica, CPU, etc..), o externos.

e decodificadores (idem).
e patillas de los chips.
